Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TypedCollections::TypedIterator Class Template Reference

`#include <coherence/util/TypedCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperIterator.

List of all members.

## Detailed Description

### template<class T>
class coherence::util::TypedCollections::TypedIterator< T >

Typed wrapper over Iterator interface.

## Public Types
typedef spec::Handle | Handle
| TypedIterator<T> Handle definition.
typedef spec::View | View
| TypedIterator<T> View definition.
typedef spec::Holder | Holder
| TypedIterator<T> Holder definition.
typedef T | ValueType
| The type of the handles returned by this iterator, e.g.
## Public Member Functions
virtual ValueType | nextTyped ()
| The typed version of the method Iterator::next.
## Protected Member Functions
| TypedIterator (Iterator::Handle hIterDelegate)
| Create a new TypedIterator over the given Iterator.
| TypedIterator (const TypedIterator &that)
| Copy constructor.

## Member Typedef Documentation

typedef T ValueType

The type of the handles returned by this iterator, e.g.

String::View.

## Constructor & Destructor Documentation

TypedIterator | ( | Iterator::Handle | hIterDelegate | ) | `[inline, protected]`

Create a new TypedIterator over the given Iterator.

Parameters:

  | hIterDelegate | a general "Object" Iterator to wrap around

## Member Function Documentation

virtual ValueType nextTyped | ( |  | ) | `[inline, virtual]`

The typed version of the method Iterator::next.

Return the next element in the iteration.

Returns:
  the next element in the iteration.

Exceptions:

  | coherence::lang::NoSuchElementException | if iteration has no more elements.
  | ClassCastException | if the typed collection is broken by external usage

The documentation for this class was generated from the following file:

- coherence/util/TypedCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.